
# Festplattenverschlüssellung für /srv

Die Datendisk (gemountet auf /srv) ist mit LUNKS verschlüsselt.
Dieser Mount muss nach einem Restart des Servers manuell gemountet werden, damit das Passwort nicht auf dem Server gespeichert ist. 

Nach einem Restart des Server kann man sich per SSH einloggen. 
Der Start der Docker Services ist blockiert solange /srv nicht gemountet ist. 

Zum Mounten von /srv kann das folgende Script verwendet werden (als root): ~/mount_crypt_and_start services.sh

# Vergrößern der Crypt-Partition 

## in Proxmox 

- Server herunterfahren 
- Virtuelle Disk: Resize Disk 
- Server starten 

## auf dem Server 

s. Script: mount_crypt_and_start_services.sh

Nach dem Mounten wird das Dateisystem automatisch vergrößert.
Der Server muss vorher neu gestartet werden, LUKS erkennt beim erneuten öffnen des Devices die neue Größe automatisch und passt die Partition an.

# Manuelles Mounten der Crypt Partition 

s. Script: mount_crypt_and_start_services.sh


# Initiale Einrichtung der Crypt-Partition 

Neben der Root-Partition muss eine weitere Disk für die VM hinzugefügt werden. 
In dieser Anleitung wird /dev/sdX hierfür verwendet 

Benötigte Pakete (debian): btrfs-progs cryptsetup

1. LUKS Volume erstellen (wir verwenden die ganze disk)
cryptsetup luksFormat --type luks2 --cipher aes-xts-plain64 --key-size 512 /dev/sdX

2. Verschlüsselte Disk laden 
cryptsetup open /dev/sdX cryptvol

3. Dateisystem erstellen 
mkfs.btrfs /dev/mapper/cryptvol

4. manuell mouten 
mount -o noatime,nodiratime,defaults /dev/mapper/cryptvol /srv

5. Lock-Datei erstellen 
echo "INITIALIZED on $(date)" > /srv/cryptvol_mounted





